### File

`packages/eui/packages/components-next/src/lib/layout/eui-header/header-app/header-app.component.ts`

### Implements

`OnInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-header-app`
templateUrl | `./header-app.component.html`

### Index

###### Properties
appNameFromState appShortNameFromState appSubTitleFromState Public asService customAppName customAppSubtitle
###### Inputs
appName appShortName appSubTitle
###### HostBindings
class

### Constructor

`constructor(asService: UxAppShellService, ref: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No
ref | `ChangeDetectorRef` | No

### Inputs

appName
Default value : `''`

appShortName
Default value : `''`

appSubTitle
Default value : `''`

### HostBindings

class
Default value : `'eui-header-app'`

### Properties

appNameFromState
Type : `string`
Default value : `''`

appShortNameFromState
Type : `string`
Default value : `''`

appSubTitleFromState
Type : `string`
Default value : `''`

Public asService
Type : `UxAppShellService`

customAppName
Type : `QueryList<EuiHeaderAppNameDirective>`
Decorators : `@ContentChild(undefined)`

customAppSubtitle
Type : `QueryList<EuiHeaderAppSubtitleDirective>`
Decorators : `@ContentChild(undefined)`

# result-matching ""

# No results matching ""